SDL_SetCursor(3)

NAME
SDL_SetCursor - Set the active cursor.

SYNOPSIS
#include <SDL3/SDL_mouse.h>

bool SDL_SetCursor(SDL_Cursor *cursor);

DESCRIPTION
This function sets the currently active cursor to the specified one. If the cursor is currently visible, the change will be immediately represented on the display. SDL_SetCursor(NULL) can be used to force cursor redraw, if this is desired for any reason.

FUNCTION PARAMETERS

cursor
    a cursor to make active.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetCursor(3)